Package com.databricks.jdbc.exception

## Class DatabricksBatchUpdateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.BatchUpdateException
        - - com.databricks.jdbc.exception.DatabricksBatchUpdateException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

    public class DatabricksBatchUpdateException
    extends BatchUpdateException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DatabricksBatchUpdateException​(String reason, DatabricksDriverErrorCode internalErrorCode, long[] longUpdateCounts)`
`DatabricksBatchUpdateException​(String reason, String SQLState, int vendorCode, long[] longUpdateCounts, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long[]` `getLargeUpdateCounts()`
`int[]` `getUpdateCounts()`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### DatabricksBatchUpdateException

    public DatabricksBatchUpdateException​(String reason,
                                          DatabricksDriverErrorCode internalErrorCode,
                                          long[] longUpdateCounts)

#### DatabricksBatchUpdateException

    public DatabricksBatchUpdateException​(String reason,
                                          String SQLState,
                                          int vendorCode,
                                          long[] longUpdateCounts,
                                          Throwable cause)

### Method Detail

#### getLargeUpdateCounts

    public long[] getLargeUpdateCounts()

Overrides:
  `getLargeUpdateCounts` in class `BatchUpdateException`

#### getUpdateCounts

    public int[] getUpdateCounts()

Overrides:
  `getUpdateCounts` in class `BatchUpdateException`